module timeshift_i

 interface
subroutine timeshift(anm,an,anp, bnm,bn,bnp,&
     cnm,cn,cnp, dnm,dn,dnp, phim,phi,phip)
  real*8, dimension(:,:,:) :: anm,an,anp, bnm,bn,bnp, cnm,cn,cnp, &
       dnm,dn,dnp, phim,phi,phip

 end subroutine 
 end interface 

 end module
